On 05/04/18 09:11, Juergen Gross wrote:
> On 03/04/18 18:55, Sander Eikelenboom wrote:
>> On 03/04/18 12:29, Juergen Gross wrote:
>>> On 03/04/18 12:19, osstest service owner wrote:
>>>> branch xen-unstable
>>>> xenbranch xen-unstable
>>>> job test-amd64-amd64-xl-pvhv2-amd
>>>> testid guest-start
>>>>
>>>> Tree: linux 
>>>> git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git
>>>> Tree: linuxfirmware git://xenbits.xen.org/osstest/linux-firmware.git
>>>> Tree: qemu git://xenbits.xen.org/qemu-xen-traditional.git
>>>> Tree: qemuu git://xenbits.xen.org/qemu-xen.git
>>>> Tree: xen git://xenbits.xen.org/xen.git
>>>>
>>>> *** Found and reproduced problem changeset ***
>>>>
>>>>   Bug is in tree:  xen git://xenbits.xen.org/xen.git
>>>>   Bug introduced:  4a5733771e6f33918eba07b584cccce564a67ac1
>>>>   Bug not present: 1c2e0f9e4f263714db917eb54f8d1c2d1463ed4c
>>>>   Last fail repro: http://logs.test-lab.xenproject.org/osstest/logs/118498/
>>>>
>>>>
>>>>   commit 4a5733771e6f33918eba07b584cccce564a67ac1
>>>>   Author: Juergen Gross <jgr...@suse.com>
>>>>   Date:   Fri Dec 1 15:14:07 2017 +0100
>>>>   
>>>>       libxl: put RSDP for PVH guest near 4GB
>>>>       
>>>>       Instead of locating the RSDP table below 1MB put it just below 4GB
>>>>       like the rest of the ACPI tables in case of PVH guests. This will
>>>>       avoid punching more holes than necessary into the memory map.
>>>>       
>>>>       Signed-off-by: Juergen Gross <jgr...@suse.com>
>>>>       Acked-by: Wei Liu <wei.l...@citrix.com>
>>>>       Reviewed-by: Roger Pau Monné <roger....@citrix.com>
>>>
>>> The corresponding Linux kernel patch just made it upstream.
>>>
>>>
>>> Juergen
>>
>> Hi Juergen,
>>
>> Are those kernel patches heading for linux-stable as well ?
> 
> Greg refuses to take them, sorry.

I noticed the conversation, it's unfortunate but reality, thanks for the effort 
anyhow.
(perhaps a lesson for the future that if one intends to get a patch in stable 
as well, 
make the commit message indicate as clearly as possible that it is a kernel 
regression, 
to hopefully prevent a discussion from happening in the first place.)

Perhaps it is something for the release notes of xen-4.11 / wiki, 
that you require a 4.17+ (or distro patched) kernel for PVH ?

--
Sander

>> I ask this, because it would be nice to be able to use PVH on Xen 4.11 
>> release with a distro kernel
>> (4.9 or 4.14 stable for instance for Debian).
> 
> I think you have to request the distributor to take them (I'll add them
> to the SUSE kernel for SLE15 / openSUSE 15).
> 
>> PVH worked fine with xen-4.11-to-be up until this commit, so the kernel 
>> patches fix this (non-kernel) regression.
> 
> It _is_ a kernel regression, as the kernel wasn't using the PVH
> interface correctly.
> 
> 
> Juergen
> 


_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xenproject.org
https://lists.xenproject.org/mailman/listinfo/xen-devel

Reply via email to